Module org.jboss.classfilewriter
Package org.jboss.classfilewriter

# Class AccessFlag

java.lang.Object
org.jboss.classfilewriter.AccessFlag

public class AccessFlag extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABSTRACT`
`static final int`
`ANNOTATION`
`static final int`
`BRIDGE`
`static final int`
`ENUM`
`static final int`
`FINAL`
`static final int`
`INTERFACE`
`static final int`
`NATIVE`
`static final int`
`PRIVATE`
`static final int`
`PROTECTED`
`static final int`
`PUBLIC`
`static final int`
`STATIC`
`static final int`
`STRICT`
`static final int`
`SUPER`
`static final int`
`SYNCHRONIZED`
`static final int`
`SYNTHETIC`
`static final int`
`TRANSIENT`
`static final int`
`VARARGS`
`static final int`
`VOLATILE`

## Method Summary

Modifier and Type
Method
Description
`static int`
`of(int... modifiers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PUBLIC

public static final int PUBLIC

See Also:
  - Constant Field Values

### PRIVATE

public static final int PRIVATE

See Also:
  - Constant Field Values

### PROTECTED

public static final int PROTECTED

See Also:
  - Constant Field Values

### STATIC

public static final int STATIC

See Also:
  - Constant Field Values

### FINAL

public static final int FINAL

See Also:
  - Constant Field Values

### SYNCHRONIZED

public static final int SYNCHRONIZED

See Also:
  - Constant Field Values

### VOLATILE

public static final int VOLATILE

See Also:
  - Constant Field Values

### BRIDGE

public static final int BRIDGE

See Also:
  - Constant Field Values

### TRANSIENT

public static final int TRANSIENT

See Also:
  - Constant Field Values

### VARARGS

public static final int VARARGS

See Also:
  - Constant Field Values

### NATIVE

public static final int NATIVE

See Also:
  - Constant Field Values

### INTERFACE

public static final int INTERFACE

See Also:
  - Constant Field Values

### ABSTRACT

public static final int ABSTRACT

See Also:
  - Constant Field Values

### STRICT

public static final int STRICT

See Also:
  - Constant Field Values

### SYNTHETIC

public static final int SYNTHETIC

See Also:
  - Constant Field Values

### ANNOTATION

public static final int ANNOTATION

See Also:
  - Constant Field Values

### ENUM

public static final int ENUM

See Also:
  - Constant Field Values

### SUPER

public static final int SUPER

See Also:
  - Constant Field Values

## Method Details

### of

public static int of(int... modifiers)